All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
analyse.bas File Reference

Example: analyse the subsystems configurations. More...

`#include "../pruio/pruio.bi"`
`#include "../pruio/pruio_pins.bi"`
`#include "../pruio/pruio_out.bi"`
Include dependency graph for analyse.bas:

Go to the source code of this file.

## Macros

#define | OUT_TYPE /* Init ' alternative: Conf */
| The type of the output (either Inint or Conf).

## Functions

int | main ()

## Variables

VAR | io = NEW PruIo
| Create a PruIo structure, wakeup subsystems.

## Detailed Description

Example: analyse the subsystems configurations.

This file contains an example on how to use libpruio to read the configurations of the subsystems (initial and corrent). It creates a PruIo structure containing the data and then prints out in a human-readable form. You may 'borrow' some code for debugging purposes in your code.

Licence: GPLv3

Copyright 2014 by Thomas{ dOt ]Freiherr[ At ]gmx[ DoT }net

Compile by: `fbc -w all analyse.bas`

Definition in file analyse.bas.

## Function Documentation

int main | ( |  | ) |

The main function.

Definition at line 60 of file analyse.bas.

Here is the call graph for this function: